SETFONT(8)

NUME
setfont - încarcă fontul ecranului consolei EGA/VGA

SINOPSIS
setfont [-O font+umap.orig] [-o font.orig] [-om cmap.orig] [-ou umap.orig] [-N] [font.nou ..." ] [-m cmap] [-u umap] [-C consola] [-h H] [-f] [-v] [-V]

DESCRIERE
Comanda setfont citește un font din fișierul font.nou și îl încarcă în generatorul de caractere EGA/VGA și, opțional, afișează fontul anterior. De asemenea, poate încărca diverse tabele de corespondență și poate afișa versiunile anterioare.

Dacă nu se furnizează niciun parametru (sau doar opțiunea -N pentru un număr N), se încarcă un font implicit (8xN) (a se vedea mai jos). Se pot da mai multe fonturi mici, toate conținând un tabel Unicode, iar setfont le va combina și va încărca uniunea. Utilizare tipică:

setfont
    Încarcă un font implicit.

setfont drdos8x16
    Încarcă un font dat (aici fontul drdos cu 448 de glife).

setfont cybercafe -u cybercafe
    Încarcă un anumit font care nu are o hartă Unicode și furnizează una în mod explicit.

setfont LatArCyrHeb-19 -m 8859-2
    Încarcă un anumit font (aici un font de 512 glife care combină mai multe seturi de caractere) și indică faptul că setul de caractere local este ISO 8859-2.

Notă: în cazul în care un font are mai mult de 256 de glife, pot fi utilizate simultan numai 8 din cele 16 culori. Aceasta poate înrăutăți percepția consolei (pierderea intensității și chiar a unor culori).

FORMATE DE FONT
Formatul standard de font Linux este fontul PSF. Acesta are un antet care descrie proprietățile fontului, cum ar fi dimensiunea caracterelor, urmat de hărțile de biți ale glifelor, urmate, opțional, de un tabel de corespondență Unicode care oferă valoarea Unicode pentru fiecare glifă. Sunt recunoscute și alte câteva formate de fonturi (învechite). În cazul în care fișierul de intrare are formatul de pagină de cod (probabil cu sufixul .cp), care conține trei fonturi cu dimensiuni de exemplu 8x8, 8x14 și 8x16, atunci trebuie utilizată una dintre opțiunile -8 sau -14 sau -16 pentru a selecta unul dintre acestea. Fișierele de fonturi brute sunt fișiere binare de dimensiune 256*N octeți, conținând imagini de biți pentru fiecare dintre cele 256 de caractere, câte un octet pe linie de scanare și N octeți pe caracter (0 < N <= 32). Cele mai multe fonturi au o lățime de 8 biți, dar cu ajutorul dispozitivului framebuffer (fb) se pot folosi alte lățimi.

ÎNĂLȚIME FONT
Programul setfont nu are cunoștințe încorporate despre modurile video VGA, ci doar cere nucleului să încarce ROM-ul de caractere al plăcii video cu anumite hărți de biți. Cu toate acestea, începând cu Linux 1.3.1, nucleul cunoaște suficient de bine modurile video EGA/VGA pentru a selecta o distanță de linie diferită. Înălțimea implicită a caracterelor va fi numărul N dedus din font sau specificat prin opțiune. Cu toate acestea, utilizatorul poate specifica o înălțime diferită a caracterelor H folosind opțiunea -h.

HĂRȚI DE CONSOLĂ
În ruta de la ieșirea programului de utilizator la afișarea consolei sunt implicate mai multe corespondențe. Dacă consola este în modul utf8 (a se vedea unicode_start(1)), atunci nucleul se așteaptă ca ieșirea programului utilizatorului să fie codificată ca UTF-8 (a se vedea utf-8(7)) și o convertește în Unicode (ucs2). În caz contrar, se utilizează un tabel de conversie de la ieșirea programului pe 8 biți la valorile Unicode pe 16 biți. Un astfel de tabel de conversie se numește Unicode console map. Există patru dintre ele: trei încorporate în nucleu, iar a patra se poate configura cu ajutorul opțiunii -m din setfont. O secvență de control alege între aceste patru tabele; după încărcarea unei cmap, setfont va emite secvența de control Esc ( K care face ca aceasta să fie conversia activă.

Argumentele adecvate pentru opțiunea -m sunt, de exemplu, 8859-1, 8859-2, ..., 8859-15, cp437, ..., cp1250.

Având în vedere valoarea Unicode a simbolului care urmează să fie afișat, nucleul găsește glifa (simbolul) corectă în font folosind informațiile de cartografiere Unicode ale fontului și o afișează.

Fonturile vechi nu au informații de cartografiere Unicode, iar pentru a le gestiona există hărți directe către fonturi (încărcate, de asemenea, utilizând -m) care oferă o corespondență între octeții utilizatorului și pozițiile fonturilor. Cea mai frecventă corespondență este cea dată în fișierul trivial (unde valorile octeților utilizatorului sunt folosite direct ca poziții de font). Alte corespondențe sunt uneori preferabile, deoarece hardware-ul video al PC-ului așteaptă caractere de desenare a liniilor în anumite poziții de font.

Furnizarea unui argument -m none împiedică încărcarea și activarea unui tabel de corespondență. Harta anterioară a consolei poate fi salvată într-un fișier cu ajutorul opțiunii -om file. Aceste opțiuni ale «setfont» fac ca mapscrn(8) să fie învechit; (cu toate acestea, poate fi util să citiți pagina de manual respectivă).

HĂRȚI DE FONTURI UNICODE
Corespondența dintre glifele din font și valorile Unicode este descrisă de un tabel de corespondență Unicode. Multe fonturi au o tabelă de corespondență Unicode inclusă în fișierul de font, iar un tabel explicit poate fi indicat cu ajutorul opțiunii -u. Programul setfont va încărca un astfel de tabel de corespondență Unicode, cu excepția cazului în care se indică un argument -u none. Tabelul de corespondență Unicode anterior va fi salvat ca parte a fișierului de font salvat atunci când se utilizează opțiunea „-O”. Acesta poate fi salvat într-un fișier separat utilizând opțiunea -ou fișier. Aceste opțiuni ale «setfont» fac ca loadunimap(8) să devină obsoletă.

Tabelul de corespondență Unicode ar trebui să atribuie o anumită glifă la valoarea „caracter lipsă” U+fffd, în caz contrar caracterele lipsă nu sunt convertite, dând un rezultat de obicei foarte confuz. De obicei, nu este necesar niciun tabel de corespondență, iar un tabel de corespondență Unicode este deja conținut în font (uneori acest lucru este indicat prin extensia .psfu), astfel încât majoritatea utilizatorilor nu trebuie să își facă griji cu privire la semnificația și funcționarea exactă a acestor tabele de corespondență. Se poate adăuga un tabel de corespondență Unicode la un font psf folosind psfaddtable(1).

OPȚIUNI

-N, --default8x=N
    Încarcă fontul implicit (implicit 8xN).

-hN, --font-height=N
    Suprascrie înălțimea fontului. Opțiunea scurtă nu trebuie să aibă un spațiu între prefix și număr.

-d, --double
    Dublează dimensiunea fontului, prin replicarea tuturor pixelilor săi pe verticală și orizontală. Acest lucru este potrivit pentru afișajele cu densitate mare de pixeli (de exemplu, „4k”, pe care fonturile standard sunt prea mici pentru a fi ușor de citit. Din cauza limitărilor nucleului, acest lucru este potrivit numai pentru fonturi de 16x16 sau mai mici.

-o, --output-font=FIȘIER
    Salvează fontul anterior în FIȘIER.

-om, --output-consolemap=FIȘIER
    Stochează harta consolei în FIȘIER.

-ou, --output-unicodemap=FIȘIER
    Salvează harta Unicode anterioară în FIȘIER.

-O, --output-fullfont=FIȘIER
    Salvează fontul anterior și harta Unicode în FIȘIER.

-m, --consolemap=FIȘIER
    Încarcă harta consolei sau harta consolei Unicode din FIȘIER.

-u, --unicodemap=FIȘIER
    Încarcă tabelul Unicode care descrie fontul din FIȘIER.

-C, --console=DISPOZITIV
    Stabilește fontul pentru consola indicată; (poate necesita permisiuni de root).

-f, --force
    Forțează încărcarea hărții Unicode: «setfont» emite apelul de sistem pentru a încărca harta unicode chiar dacă harta specificată este goală. Acest lucru poate fi util în cazuri neobișnuite.

-R, --reset
    Restabilește fontul ecranului, dimensiunea și harta Unicode la valorile implicite de la pornire.

-v, --verbose
    Oferă informații detaliate la ieșire.

-V, --version
    Afișează informațiile despre versiune și iese.

-h, --help
    Afișează un mesaj ce descrie opțiunile și iese.

NOTĂ
Hardware-ul video pentru PC permite utilizarea bitului „intensitate” fie pentru a indica luminozitatea, fie pentru a adresa 512 (în loc de 256) glife în font. Astfel, dacă fontul are mai mult de 256 de glife, consola va fi redusă la 8 (în loc de 16) culori.

FIȘIERE

/usr/share/kbd/consolefonts
    Directorul de fonturi implicit.

/usr/share/kbd/unimaps
    Directorul implicit pentru hărțile Unicode.

/usr/share/kbd/consoletrans
    Directorul implicit pentru cartografierile de ecran.

Fontul implicit este un fișier default (sau default8xN dacă opțiunea -N a fost dată pentru un anumit număr N), probabil cu o extensie adecvată (cum ar fi .psf).

CONSULTAȚI ȘI
psfaddtable(1), unicode_start(1), loadunimap(8), utf-8(7), mapscrn(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.